[R] Library() function

Prof Brian D Ripley ripley at stats.ox.ac.uk
Sat Apr 28 19:36:47 CEST 2001

On Sun, 29 Apr 2001, Peppy & Siuly Adi-Purnomo wrote:

> Dear heldesk,

Um, this is a group of volunteers, not a help desk.

> 1:
> I want to upload nlme module set to use in R.  When I do this there is a
> list of error message coming up.  But the nlme is loaded anyway.  Anything
> wrong with how I set it up?
> > library(nlme)
> Loading required package: nls
> Error in dyn.load(x, as.logical(local), as.logical(now)) :
>         unable to load shared library
> "C:/UNIX/RW1021/library/nlme/libs/nlme.dll":
>   LoadLibrary failure:  A device attached to the system is not functioning.
> Error in library(nlme) : .First.lib failed
> > library(nlme)

Take a look at the rw-FAQ, which covers the likely cause.

Usual advice: get the current versions of R and nlme and start again.
Older versions (such as rw1021) are not supported.

> 2:
> If I want to update my R version, I have installed in a separate directory
> but why the old R doesnt work anymore?  is that because the new R takes the
> place?

It's something you did: I run several versions simultaneously and there are
no interactions.

Brian D. Ripley,                  ripley at stats.ox.ac.uk
Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
University of Oxford,             Tel:  +44 1865 272861 (self)
1 South Parks Road,                     +44 1865 272860 (secr)
Oxford OX1 3TG, UK                Fax:  +44 1865 272595

r-help mailing list -- Read http://www.ci.tuwien.ac.at/~hornik/R/R-FAQ.html
Send "info", "help", or "[un]subscribe"
(in the "body", not the subject !)  To: r-help-request at stat.math.ethz.ch

More information about the R-help mailing list